#include <iostream>
#include "fst.h"

using namespace std;

static void
usage()
{
    cerr << "usage: delay_outputs in.fst out.fst\n\n";
}

static int
fst_delay_outputs(int argc, char** argv)
{
    if (argc != 3) {
        usage();
        return 1;
    }

    FSTDelayOutputs(FSTLoad(argv[1]))->dump_binary(argv[2]);

    return 0;
}

// Register as subcommand.
//
static FstTool delay_outputs_tool("delay_outputs", fst_delay_outputs);

// for Emacs...
// Local Variables:
// mode: C++
// comment-column: 48
// fill-column: 80
// c-basic-offset: 4
// indent-tabs-mode: nil
// End:
