#!/bin/csh -f
#
# source this to set ARCH and OS environment variables

if (! $?FST_HOME) then
  echo "set_arch_os.csh: FST_HOME environment variable must be set -- exiting"
  exit 1
endif

setenv ARCH `$FST_HOME/templates/guess_arch.csh`
setenv OS   `$FST_HOME/templates/guess_os.csh`

if ( "$OS" == "Windows_NT" ) then
    setenv OS winnt
endif

# for Emacs...
# Local Variables:
# mode: csh
# comment-column: 40
# fill-column: 77
# csh-indent-level: 2
# End:


