#!/bin/csh -f

# ILH: commented out -msse3 and -msse2 below because they do not
#      work in a mixed environment (i.e., Pentium III and Pentium IV).
#      Besides, we don't make use of SSE2 yet, only SSE.

set version = `$1 --version | awk '{print $1,$3; exit}'`

switch ("$version")
case "icc 9.*":
case "*gcc* 4.*":
case "gcc 3.[34].*":
    #echo -msse3
    echo -msse
    breaksw
case "gcc 3.[12].*":
    #echo -msse2
    echo -msse
    breaksw
case "gcc 2.96.*":
    echo -msse
    breaksw
endsw
